# ****************************************************************************
# `zip.mak' - Makefile (to be included) for ZIP file creation
#
# Written by Robert Riebisch <rr@bttr-software.de>
# for BTTR Software
#
# Copyright (c) 1997-2003 BTTR Software
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the `MODIFIED' BSD LICENSE.
#
# See `legal.txt' for details.
# ****************************************************************************

# some basic error checking
!if !$d(AR) || !$d(ARFLAGS) || !$d(ARWITHSUBDIRS) || !$d(PROJECT)
  !error Don't call this Makefile directly!
!endif

# where to put ZIP files
.path.zip = c:\tmp\up

# distribution archives
zip: $(PROJECT)b.zip $(PROJECT)s.zip

# `Binaries + Manual' archive for distribution
$(PROJECT)b.zip:
  -del $@
  $(AR) $(ARFLAGS) $@ ..\*.*

# `Source code' archive for distribution
$(PROJECT)s.zip:
  -del $@
  $(AR) $(ARFLAGS) $(ARWITHSUBDIRS) $@ ..\legal.txt ..\source\*.*

# --- for internal use ---
backup mirror: $(PROJECT)m.zip

$(PROJECT)m.zip:
  -del $@
  $(AR) $(ARFLAGS) $(ARWITHSUBDIRS) $@ ..\*.*
